buffer_get_token(3)

NAME
buffer_get_token - read token from buffer

SYNTAX
#include <libowfat/buffer.h> ssize_t buffer_get_token(buffer* b,char* x,size_t len,
                 const char* charset,size_t setlen);

DESCRIPTION
buffer_get_token copies data from b to x[0], x[1], ..., x[len-1] until len bytes have been copied or one of charset[0], charset[1], ..., charset[setlen] equals the last byte that was read. buffer_get_token returns the number of bytes read or -1 on error (setting errno appropriately).

SEE ALSO
buffer_init(3), buffer_feed(3), buffer_peek(3), buffer_seek(3), buffer(3)